--[[This is what goes inside of a dynamic always active entity.--]]
 


-------------------- HUD Locations and Sizes --------------------

 	-- HUD BG --
    --sprite location
    local HUD_spr_posx = 0
    local HUD_spr_posy = 0
    --sprite size
    local HUD_spr_sizex = 100
    local HUD_spr_sizey = 100
 
function infantry_powersuit_init(e)

	
			-- HUD BG --
    HUD_sprite = LoadImage("scriptbank\\images\\Hethelm\\000.png")
    HUD_icon = CreateSprite(HUD_sprite)
    SetSpriteSize (HUD_icon,HUD_spr_sizex,HUD_spr_sizey)   
    SetSpriteDepth (HUD_sprite, 100)
    SetSpritePosition(HUD_icon,300,300)
	


	
end
 
function infantry_powersuit_main(e)
AddPlayerWeapon(95)--gun added from map
-------------------- HUD BG --------------------	
	
       PasteSpritePosition(HUD_icon,HUD_spr_posx,HUD_spr_posy)	   
		  HideHuds()


	
end